Subject: bug#34093: auto-save prevents quitting emacs on read-only filesystem

From: Stefan Kangas <[email-masked]>
Date: Tue, 18 Aug 2020 18:44:06 +0000

Eli Zaretskii <[email-masked]> writes:

> Thanks, but is a single warning really enough?  What if the situation
> is slightly different, in that the user could somehow resolve the
> problem -- should we perhaps prompt the user whether to retry or
> ignore the error?

Is it worth it?  The bug will presumably trigger only under rare
circumstances such as serious misconfiguration by the user or serious
system failure ($HOME remounted as read-only sounds fairly exceptional).
And the consequence is that the user will miss out on a very minor
convenience feature.

OTOH, I'm not a regular user of savehist-mode, so I'm not sure.  Maybe
people really depend on saving their minibuffer history between
sessions...  But even then, they would be no worse off with my proposed
fix than they are now.

Best regards,
Stefan Kangas